Summary: LDAP servers, libraries, utilities, tools and sample clients.
Name: openldap
Version: 1.2.7
Release: 2
%define migtools_ver 3.21
Copyright: Artistic
Group: System Environment/Daemons
Source0: ftp://ftp.openldap.org/pub/openldap-release/openldap-%{version}.tgz
Source1: ldap.init
Source2: http://www.padl.com/download/MigrationTools.tgz
Source3: migration-tools.txt
Patch0: openldap-%{version}-glibc21.patch
Patch1: openldap-yp.patch
URL: http://www.openldap.org
BuildRoot: /var/tmp/openldap-root

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  The suite includes a
stand-alone LDAP server (slapd), a stand-alone LDAP replication server
(slurpd), libraries for implementing the LDAP protocol, and utilities,
tools, and sample clients.

Install openldap if you need LDAP applications and tools.

%package devel
Summary: OpenLDAP development libraries and header files.
Group: Development/Libraries
Requires: openldap

%description devel
This package includes the development libraries and header files
needed for compiling applications that use LDAP internals.  Install
this package only if you plan to develop or will need to compile
customized LDAP clients.

%prep
%setup -q -n ldap -a 2
%patch0 -p1
%patch1 -p1 -b .yp

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--sysconfdir=/etc --enable-passwd \
	--enable-shell --enable-shared --enable-wrappers \
	--localstatedir=/var/run --libexecdir=/usr/sbin

make depend
make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr \
	sysconfdir=$RPM_BUILD_ROOT/etc/openldap \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	libexecdir=$RPM_BUILD_ROOT/usr/sbin

strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* || :

# hack the default config files
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/etc/openldap/slapd.conf
# we don't need the default files
rm -f $RPM_BUILD_ROOT/etc/openldap/*.default

# install init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap

# deal with the migration tools
mkdir -p $RPM_BUILD_ROOT/usr/share/openldap/migration
install -m 755 MigrationTools-%{migtools_ver}/migrate_* \
	$RPM_BUILD_ROOT/usr/share/openldap/migration
install -m 644 MigrationTools-%{migtools_ver}/README %{SOURCE3} \
	$RPM_BUILD_ROOT/usr/share/openldap/migration
cp MigrationTools-%{migtools_ver}/README README.migration
cp %{SOURCE3} TOOLS.migration

mkdir -p $RPM_BUILD_ROOT/var/lib/ldap

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add ldap

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del ldap
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/etc/rc.d/init.d/ldap
%dir /etc/openldap
%config /etc/openldap/*
/usr/bin/*
/usr/lib/lib*.so.*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man8/*
/usr/share/*
/usr/sbin/*
%dir /var/lib/ldap
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README doc/rfc/*.txt
%doc doc/devel/guidelines doc/devel/todo 
%doc README.migration TOOLS.migration

%files devel
%defattr(-,root,root)
%doc doc/devel/README
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/include/*
/usr/man/man3/*

%changelog
* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
